diff -u --recursive --new-file gphoto.orig/barbie/Makefile.am gphoto/barbie/Makefile.am
--- gphoto.orig/barbie/Makefile.am	Thu Jun  8 00:46:18 2000
+++ gphoto/barbie/Makefile.am	Fri Sep 15 15:53:27 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_barbie.la
 
-CFLAGS = -DBARBIE_DEBUG @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = -DBARBIE_DEBUG @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_barbie_la_SOURCES = barbie.h barbie.c
 libgphoto_barbie_la_LDFLAGS = -version-info 0:0:0
diff -u --recursive --new-file gphoto.orig/canon/Makefile.am gphoto/canon/Makefile.am
--- gphoto.orig/canon/Makefile.am	Fri Nov 19 09:58:45 1999
+++ gphoto/canon/Makefile.am	Fri Sep 15 15:53:51 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_canon.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ -Wall
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ -Wall
 
 libgphoto_canon_la_SOURCES = canon.c canon.h psa50.c psa50.h serial.c serial.h \
 	crc.c crc.h util.c util.h
diff -u --recursive --new-file gphoto.orig/casio/Makefile.am gphoto/casio/Makefile.am
--- gphoto.orig/casio/Makefile.am	Wed Jun 30 15:01:00 1999
+++ gphoto/casio/Makefile.am	Fri Sep 15 15:53:59 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_casio_qv.la
 
-CFLAGS = @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_casio_qv_la_SOURCES = getuint.c ppm.c jpeg.c printMsg.c sdComm.c \
 	configure.c config_handler.c qv_io.c command.c casio_qv.c \
diff -u --recursive --new-file gphoto.orig/digita/Makefile.am gphoto/digita/Makefile.am
--- gphoto.orig/digita/Makefile.am	Fri May 12 20:10:58 2000
+++ gphoto/digita/Makefile.am	Fri Sep 15 15:54:08 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_digita.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_digita_la_SOURCES = digita.c serial.c usb.c commands.c digita.h
 
diff -u --recursive --new-file gphoto.orig/dimera/Makefile.am gphoto/dimera/Makefile.am
--- gphoto.orig/dimera/Makefile.am	Thu Jun  8 14:25:42 2000
+++ gphoto/dimera/Makefile.am	Fri Sep 15 15:54:20 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_dimera3500.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_dimera3500_la_SOURCES = dimera3500.c dimeratab.h mesalib.c mesalib.h
 libgphoto_dimera3500_la_LDFLAGS = -version-info 0:0:0
diff -u --recursive --new-file gphoto.orig/directory/Makefile.am gphoto/directory/Makefile.am
--- gphoto.orig/directory/Makefile.am	Fri Nov 19 12:18:20 1999
+++ gphoto/directory/Makefile.am	Fri Sep 15 15:54:28 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_dir.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ 
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ 
 
 libgphoto_dir_la_SOURCES = directory.c directory.h
 
diff -u --recursive --new-file gphoto.orig/fuji/Makefile.am gphoto/fuji/Makefile.am
--- gphoto.orig/fuji/Makefile.am	Fri Nov 19 12:18:21 1999
+++ gphoto/fuji/Makefile.am	Fri Sep 15 15:54:39 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_fuji.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_fuji_la_SOURCES = fujilib.c fuji_exif.c exif.c\
 	configdialog.c exif.h exif_tags.h gphoto_fuji.h
diff -u --recursive --new-file gphoto.orig/jd11/Makefile.am gphoto/jd11/Makefile.am
--- gphoto.orig/jd11/Makefile.am	Mon Jun  5 09:00:37 2000
+++ gphoto/jd11/Makefile.am	Fri Sep 15 15:54:58 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_jd11.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ -Wall
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ -Wall
 
 libgphoto_jd11_la_SOURCES = jd11.c serial.c serial.h decomp.c decomp.h 
 
diff -u --recursive --new-file gphoto.orig/kodak/Makefile.am gphoto/kodak/Makefile.am
--- gphoto.orig/kodak/Makefile.am	Fri Nov 19 12:18:21 1999
+++ gphoto/kodak/Makefile.am	Fri Sep 15 15:55:03 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_kodak_dc2x.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ -DDC25=1
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ -DDC25=1
 
 libgphoto_kodak_dc2x_la_SOURCES = kodak_dc210.c kodak_dc2x.c change_res.c \
 	comet_to_ppm.c \
diff -u --recursive --new-file gphoto.orig/kodak_generic/Makefile.am gphoto/kodak_generic/Makefile.am
--- gphoto.orig/kodak_generic/Makefile.am	Fri Nov 19 12:18:21 1999
+++ gphoto/kodak_generic/Makefile.am	Fri Sep 15 15:55:10 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_kodak_generic.la
 
-CFLAGS = @CFLAGS@ -Wall @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ 
+CFLAGS = @CFLAGS@ -Wall @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ 
 
 libgphoto_kodak_generic_la_SOURCES = \
    state_machine.c state_machine.h \
diff -u --recursive --new-file gphoto.orig/konica/Makefile.am gphoto/konica/Makefile.am
--- gphoto.orig/konica/Makefile.am	Fri Nov 19 12:18:22 1999
+++ gphoto/konica/Makefile.am	Fri Sep 15 15:55:16 2000
@@ -1,7 +1,7 @@
 bin_PROGRAMS = qm100 
 drivers_LTLIBRARIES = libgphoto_konica_qm100.la
 
-CFLAGS   = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ 
+CFLAGS   = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ 
 qm100_LDFLAGS = 
 EXTRA_DIST = konicarc.sample ChangeLog TODO gettraces 
 
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/CVS/Entries gphoto/konica_qmxxx/CVS/Entries
--- gphoto.orig/konica_qmxxx/CVS/Entries	Fri Sep 15 15:52:29 2000
+++ gphoto/konica_qmxxx/CVS/Entries	Fri Sep 15 16:16:29 2000
@@ -4,9 +4,9 @@
 /dcx.c/1.1.2.1/Tue Nov 30 18:32:11 1999//Tgphoto_0_5_dev
 /dcx.h/1.1/Sun Oct  3 00:09:02 1999//Tgphoto_0_5_dev
 /log.c/1.1/Sun Oct  3 00:09:02 1999//Tgphoto_0_5_dev
-/log.h/1.1/Sun Oct  3 00:09:02 1999//Tgphoto_0_5_dev
 /main.c/1.1.2.1/Sun Nov 21 16:33:38 1999//Tgphoto_0_5_dev
 /os.c/1.1.2.2/Fri Mar 10 16:16:09 2000//Tgphoto_0_5_dev
 /os.h/1.1/Sun Oct  3 00:09:02 1999//Tgphoto_0_5_dev
 /qm.c/1.1/Sun Oct  3 00:09:02 1999//Tgphoto_0_5_dev
+/log.h/1.1/Fri Sep 15 14:16:29 2000//Tgphoto_0_5_dev
 D
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/Makefile.am gphoto/konica_qmxxx/Makefile.am
--- gphoto.orig/konica_qmxxx/Makefile.am	Fri Nov 19 12:18:22 1999
+++ gphoto/konica_qmxxx/Makefile.am	Fri Sep 15 16:14:06 2000
@@ -1,7 +1,7 @@
 bin_PROGRAMS = qmxxx 
 drivers_LTLIBRARIES = libgphoto_konica_qmxxx.la
 
-CFLAGS   = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS   = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 # EXTRA_DIST = ChangeLog TODO gettraces 
 
 libgphoto_konica_qmxxx_la_SOURCES =  os.c log.c qm.c dcx.c dcx.h log.h os.h
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/dcx.c gphoto/konica_qmxxx/dcx.c
--- gphoto.orig/konica_qmxxx/dcx.c	Tue Nov 30 19:32:11 1999
+++ gphoto/konica_qmxxx/dcx.c	Fri Sep 15 16:28:07 2000
@@ -115,14 +115,14 @@
 	int		adr = 0;
 	#endif
 
-	DB(_("esc_read_max_buf=%d\n", max_buf));
-	DB(_("start sio_read checksum len=%d\n", len));
+	DB(_ksprintf("esc_read_max_buf=%d\n", max_buf));
+	DB(_ksprintf("start sio_read checksum len=%d\n", len));
 	if( len == 0 ){
-		DB(_("xxxxxxxx len == 0 xxxxxxxxx\n"));
+		DB(_ksprintf("xxxxxxxx len == 0 xxxxxxxxx\n"));
 		return 0;
 	}
 	if( (tmp_buf=os_malloc( len * 2 )) == OS_NULL ){
-		return FATAL(_("Can't alloc memory\n"));
+		return FATAL(_ksprintf("Can't alloc memory\n"));
 	}
 	out_pos = buf;
 	inp_pos = buf;
@@ -135,21 +135,21 @@
 			}
 			if( retry_count++ == RETRY_MAX_COUNT ){
 				os_free(tmp_buf);
-				return FATAL(_("sio_recv_esc_quoted_data: time over\n"));
+				return FATAL(_ksprintf("sio_recv_esc_quoted_data: time over\n"));
 			}
 		}
 		#ifdef DEBUG_V
 		{ int i;
-		DB(_("read_bytes=%d [", read_bytes ));
+		DB(_ksprintf("read_bytes=%d [", read_bytes ));
 		i = read_bytes;
 		for(i=0; i<read_bytes; i++){
-			DB(_("%02x", tmp_buf[i]));
+			DB(_ksprintf("%02x", tmp_buf[i]));
 			if( i == read_bytes-1 ){
 				break;
 			}
-			DB(_(" "));
+			DB(_ksprintf(" "));
 		}
-		DB(_("]\n"));
+		DB(_ksprintf("]\n"));
 		}
 		#endif
 		inp_pos = tmp_buf;
@@ -162,22 +162,22 @@
 			if( is_esc ==  false && c == ESC ){
 				is_esc = true;
 				#ifdef DEBUG_V
-				DB(_("XXXX: ESC\n"));
+				DB(_ksprintf("XXXX: ESC\n"));
 				#endif
 			}else{
 				if( is_esc_mask[c] && c != ESC ){
-					return FATAL(_("esc_quote(0x%02x)\n", c ));
+					return FATAL(_ksprintf("esc_quote(0x%02x)\n", c ));
 				}
 				if( is_esc == true ){
 					c = ~c;
 					is_esc = false;
 				}
 				#ifdef DEBUG_V
-				DB(_("%04x: %02x\n", adr++, c  ));
+				DB(_ksprintf("%04x: %02x\n", adr++, c  ));
 				#endif
 				*out_pos++ = c;
 				if( --max_buf < 0 ){
-					return FATAL(_("buffer over flow\n"));
+					return FATAL(_ksprintf("buffer over flow\n"));
 				}
 				check_sum += c;
 				rest_len--;
@@ -191,24 +191,24 @@
 	os_free(tmp_buf);
 
 	if( read_bytes != 0 ){
-		return FATAL(_("BUG: read_bytes=%d\n", read_bytes ));
+		return FATAL(_ksprintf("BUG: read_bytes=%d\n", read_bytes ));
 	}
 
 	#ifdef DEBUG
 	if( is_debug ){ int i = 0; 
-		DB(_("===SIO== read["));
+		DB(_ksprintf("===SIO== read["));
 		if( 16 < len ){
-			DB(_("... "));
+			DB(_ksprintf("... "));
 			i = len - 16;
 		}
 		for(;;){
-			DB(_("%02x", buf[i]));
+			DB(_ksprintf("%02x", buf[i]));
 			if( ++i == len ){
 				break;
 			}
-			DB(_(" "));
+			DB(_ksprintf(" "));
 		}
-		DB(_("]+=%02x\n", (byte)check_sum ));
+		DB(_ksprintf("]+=%02x\n", (byte)check_sum ));
 	}
 	#endif
 	return (long)check_sum;
@@ -236,26 +236,26 @@
 		check_sum += c;
 		if( is_esc_mask[c] ){
 			if( os_sio_putchar(ESC) == NG ){
-				return FATAL(_("Can't write to sio\n"));
+				return FATAL(_ksprintf("Can't write to sio\n"));
 			}
 			c = ~c;
 		}
 		if( os_sio_putchar(c) == NG ){
-			return FATAL(_("Can't write to sio\n"));
+			return FATAL(_ksprintf("Can't write to sio\n"));
 		}
 	}
 
 	#ifdef DEBUG
 	if( is_debug ){
-		DB(_("===SIO== write["));
+		DB(_ksprintf("===SIO== write["));
 		for(i=0;;){
-			DB(_("%02x", buf[i]));
+			DB(_ksprintf("%02x", buf[i]));
 			if( ++i == len ){
 				break;
 			}
-			DB(_(" "));
+			DB(_ksprintf(" "));
 		}
-		DB(_("] sum=%02x\n", check_sum));
+		DB(_ksprintf("] sum=%02x\n", check_sum));
 	}
 	#endif
 
@@ -272,26 +272,26 @@
 
 	for(i=0;i<max_try; i++){
 		c = ENQ;
-		DB(_("putchar[%s]\n", os_name_of_char(c) ));
+		DB(_ksprintf("putchar[%s]\n", os_name_of_char(c) ));
 		if( os_sio_putchar(c) == NG ){
-			return FATAL(_("Can't send ENQ\n"));
+			return FATAL(_ksprintf("Can't send ENQ\n"));
 		}
 		read_bytes = os_sio_read_msec( &c , sizeof(byte), 300 );
 		if( read_bytes == sizeof(byte) ){
-			DB(_("getchar[%s]\n", os_name_of_char(c) ));
+			DB(_ksprintf("getchar[%s]\n", os_name_of_char(c) ));
 			if( c == ACK ){
 				return OK;
 			}
-			DB(_("NO ACK !! read is 0x%02x, try again send ENQ\n", c ));
+			DB(_ksprintf("NO ACK !! read is 0x%02x, try again send ENQ\n", c ));
 		}else{
 			if( read_bytes == 0 ){
-				DB(_("send_command: no response try again send ENQ\n"));
+				DB(_ksprintf("send_command: no response try again send ENQ\n"));
 			}else{
-				return FATAL(_("send_commnad: read_bytes=%d\n", read_bytes ));
+				return FATAL(_ksprintf("send_commnad: read_bytes=%d\n", read_bytes ));
 			}
 		}
 	}
-	DB(_("try %d ENQ fail\n", max_try));
+	DB(_ksprintf("try %d ENQ fail\n", max_try));
 	return NG;
 }
 
@@ -304,15 +304,15 @@
 	os_msec_sleep(3000);
 	len = os_sio_read_msec( buf, 4000, 100 );
 
-	DB(_("===SIO== rest data["));
+	DB(_ksprintf("===SIO== rest data["));
 	for(i=0;;){
-		DB(_("%02x", buf[i]));
+		DB(_ksprintf("%02x", buf[i]));
 		if( ++i == len ){
 			break;
 		}
-		DB(_(" "));
+		DB(_ksprintf(" "));
 	}
-	DB(_("]\n"));
+	DB(_ksprintf("]\n"));
 	return OK;
 }
 
@@ -359,13 +359,13 @@
 	/*
 	 *	send STX
 	 */
-	DB(_("send STX\n"));
+	DB(_ksprintf("send STX\n"));
 	OK( os_sio_putchar(STX) );
 	/*
 	 *	send length
 	 */
 	set_word( buf, inp_len );
-	DB(_("send length=[%02x %02x]\n", buf[0], buf[1] ));
+	DB(_ksprintf("send length=[%02x %02x]\n", buf[0], buf[1] ));
 	OK(d = sio_check_sum_esc_write( buf, 2 ));
 	check_sum += d;
 
@@ -378,14 +378,14 @@
 	/*
 	 *	send ETX
 	 */
-	DB(_("send ETX\n"));
+	DB(_ksprintf("send ETX\n"));
 	OK( os_sio_putchar(ETX) );
 	check_sum += ETX;
 
 	/*
 	 *	send check sum
 	 */
-	DB(_("send check sum=0x%02x\n", check_sum));
+	DB(_ksprintf("send check sum=0x%02x\n", check_sum));
 	OK( sio_check_sum_esc_write( &check_sum, sizeof(byte) ) );
 	return OK;
 }
@@ -404,12 +404,12 @@
 	/*
 	 *	(1) recv STX
 	 */
-	DB(_("wait STX\n"));
+	DB(_ksprintf("wait STX\n"));
 	if( (c=os_sio_getchar()) != STX ){
-		DB(_("must be STX in recv_one_data_block s(read is %s )\n", os_name_of_char(c) ));
+		DB(_ksprintf("must be STX in recv_one_data_block s(read is %s )\n", os_name_of_char(c) ));
 		return -1;
 	}
-	DB(_("DATA BLOCK reading ... first STX is OK\n"));
+	DB(_ksprintf("DATA BLOCK reading ... first STX is OK\n"));
 	/*
 	 *	(2) recv length
 	 */
@@ -418,9 +418,9 @@
 	calc_sum += d;
 	len = ( (len_buf[1] << 8 ) | len_buf[0] );
 	*answer_received_byte_size = (long)len;
-	DB(_("block_length=[0x%04x]\n", len));
+	DB(_ksprintf("block_length=[0x%04x]\n", len));
 	if( answer_max_buf_size < len ){
-		FATAL(_("recv_one_data_block: max_buf=%d get_len=%d\n", answer_max_buf_size, len ));
+		FATAL(_ksprintf("recv_one_data_block: max_buf=%d get_len=%d\n", answer_max_buf_size, len ));
 		return -1;
 	}
 	/*
@@ -435,25 +435,25 @@
 	OK( etb_etx = os_sio_getchar() );	/* no ESC mask */
 	calc_sum += etb_etx; 
 	if( !( etb_etx == ETB || etb_etx == ETX ) ){
-		FATAL(_("not ETB or ETX  (read is %s)\n", os_name_of_char(etb_etx) ));
+		FATAL(_ksprintf("not ETB or ETX  (read is %s)\n", os_name_of_char(etb_etx) ));
 		OK( sio_print_rest_data() );
-		FATAL(_("\n"));
+		FATAL(_ksprintf("\n"));
 		return -1;
 	}
-	DB(_("OK ETX\n"));
+	DB(_ksprintf("OK ETX\n"));
 	/*
 	 *	(5) recv Check Sum
 	 */
 	OK( sio_check_sum_esc_read( &recv_sum, sizeof(byte), sizeof(byte) ) );
 	if( recv_sum != calc_sum ){
-		FATAL(_("Check sum error (recv=0x%02x calc=0x%02x)\n", recv_sum, calc_sum ));
+		FATAL(_ksprintf("Check sum error (recv=0x%02x calc=0x%02x)\n", recv_sum, calc_sum ));
 		return -1;
 	}
-	DB(_("CHECK SUM OK. now get next block\n")); /* 5a is ok */
+	DB(_ksprintf("CHECK SUM OK. now get next block\n")); /* 5a is ok */
 	if( etb_etx == ETB ){
 		return ETB;
 	}
-	DB(_("ETX OK\n"));
+	DB(_ksprintf("ETX OK\n"));
 	return ETX;
 }
 
@@ -485,7 +485,7 @@
 	 *	(1s) send ENQ until get ACK
 	 */
 	OK( sio_send_ENQ_and_recv_ACK() );
-	DB(_("OK ENQ->ACK. now send data block\n"));
+	DB(_ksprintf("OK ENQ->ACK. now send data block\n"));
 	/*
 	 *	(2s) send DATA BLOCK
 	 *	(2r) recv ACK(or NACK)
@@ -497,18 +497,18 @@
 			break;
 		}
 		if( c == NACK ){
-			DB(_("!!! datablock NACK\n"));
+			DB(_ksprintf("!!! datablock NACK\n"));
 			continue;
 		}else{
-			DB(_("must be ACK or NACK (read is %s)\n", os_name_of_char(c) ));
+			DB(_ksprintf("must be ACK or NACK (read is %s)\n", os_name_of_char(c) ));
 			return NG;
 		}
 	}
-	DB(_("OK datablock ACK\n"));
+	DB(_ksprintf("OK datablock ACK\n"));
 	/*
 	 *	(3s) send EOT
 	 */
-	DB(_("send EOT\n"));
+	DB(_ksprintf("send EOT\n"));
 	OK( os_sio_putchar(EOT) );
 
 	return OK;
@@ -540,18 +540,18 @@
 	long		received_byte_size;
 	long		all_received_byte_size = 0;
 
-	DB(_("recv_data_block_max_buf=%d\n", max_buf_size));
+	DB(_ksprintf("recv_data_block_max_buf=%d\n", max_buf_size));
 	/*
 	 *	(1s) recv ENQ
 	 *	(1r) send ACK
 	 */
 	OK( c = os_sio_getchar() );
 	if ( c  != ENQ ){
-		DB(_("must be ENQ (read is %s)\n", os_name_of_char(c) ));
-		FATAL(_("next is 0x%02x\n", os_sio_getchar() ));
+		DB(_ksprintf("must be ENQ (read is %s)\n", os_name_of_char(c) ));
+		FATAL(_ksprintf("next is 0x%02x\n", os_sio_getchar() ));
 		return NG;
 	}
-	DB(_("recv ENQ, next send ACK\n"));
+	DB(_ksprintf("recv ENQ, next send ACK\n"));
 	OK( os_sio_putchar(ACK) );
 	/*
 	 *	(2s) recv DATA BLOCK
@@ -559,39 +559,39 @@
 	 */
 	for(;;){
 		OK( ans = recv_one_data_block( recv_buf, max_buf_size, &received_byte_size ) );
-		DB(_("rec=%08x\n", received_byte_size ));
+		DB(_ksprintf("rec=%08x\n", received_byte_size ));
 		all_received_byte_size += received_byte_size;
 		recv_buf     += received_byte_size;
 		max_buf_size -= received_byte_size;
-		DB(_("recv data block all ok, send ACK and wait EOT\n"));
+		DB(_ksprintf("recv data block all ok, send ACK and wait EOT\n"));
 		OK( os_sio_putchar(ACK) );
 		/*
 		 *	(3s) get EOT
 		 */
 		OK( c = os_sio_getchar() );
 		if( c != EOT ){
-			DB(_("not EOT read is %s\n", os_name_of_char(c) ));
+			DB(_ksprintf("not EOT read is %s\n", os_name_of_char(c) ));
 		}
 		if( ans == ETX ){
-			DB(_("recv ETX, EOT all OK\n"));
+			DB(_ksprintf("recv ETX, EOT all OK\n"));
 			break;
 		}
 		if( ans == ETB ){
-			DB(_("recv ETB, EOT all OK, wait ENQ\n"));
+			DB(_ksprintf("recv ETB, EOT all OK, wait ENQ\n"));
 			OK( c = os_sio_getchar() );
 			if( c  != ENQ ){
-				FATAL(_("not EOT,  read is %s\n", os_name_of_char(c) ));
+				FATAL(_ksprintf("not EOT,  read is %s\n", os_name_of_char(c) ));
 				return -1;
 			}
-			DB(_("send ACK\n"));
+			DB(_ksprintf("send ACK\n"));
 			OK( os_sio_putchar(ACK) );
 			disp_progress_func( all_received_byte_size );
 		}else{
-			FATAL(_("no ETX or ETB\n"));
+			FATAL(_ksprintf("no ETX or ETB\n"));
 		}
 	}
 	os_msec_sleep(500);
-	DB(_("ans get=%08x\n", all_received_byte_size ));
+	DB(_ksprintf("ans get=%08x\n", all_received_byte_size ));
 	return 	all_received_byte_size;
 }
 
@@ -603,12 +603,12 @@
 	short	i;
 
 	for(i=0; i<len; i++){
-		DB(_("const=0x%02x rec=0x%02x\n", 0xff&recv_buf_const[i], recv_buf[i] ));
+		DB(_ksprintf("const=0x%02x rec=0x%02x\n", 0xff&recv_buf_const[i], recv_buf[i] ));
 		if( recv_buf_const[i] == OxXX ){
 			continue;
 		}
 		if( (byte)recv_buf_const[i] != recv_buf[i] ){
-			return FATAL(_("command compare fail\n"));
+			return FATAL(_ksprintf("command compare fail\n"));
 		}
 	}
 	return OK;
@@ -675,20 +675,20 @@
         /*                                                                   */
 
 	set_word( send_cmd_buf_image_id,  no );
-	DB(_("============= send command QM100\n"));
+	DB(_ksprintf("============= send command QM100\n"));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ) );
 
-	DB(_("============= recv exif image start \n"));
+	DB(_ksprintf("============= recv exif image start \n"));
 	OK( *ans_exif_size = recv_data_blocks( ans_exif_buf, max_buf_size  ) );
 	if( *ans_exif_size == -1 ){
-		FATAL(_("exif image recv fail\n"));
+		FATAL(_ksprintf("exif image recv fail\n"));
 		return RETVAL_UNKNOWN_ERROR;
 	}
-	DB(_("============= recv exif end\n"));
+	DB(_ksprintf("============= recv exif end\n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ));
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ) );
 	retval=get_word(recv_buf_status);
-	DB(_("============= dc_get_exif retval=0x%02x\n", retval ));
+	DB(_ksprintf("============= dc_get_exif retval=0x%02x\n", retval ));
 	return retval;
 }
 
@@ -730,19 +730,19 @@
         /*                                                                   */
 
 	set_long( send_cmd_buf_image_id,  no );
-	DB(_("============= send command QM200 max_buf=%d \n", max_buf_size ));
+	DB(_ksprintf("============= send command QM200 max_buf=%d \n", max_buf_size ));
 	OK(send_command( send_cmd_buf, sizeof(send_cmd_buf) ));
 
-	DB(_("============= recv exif image start \n"));
+	DB(_ksprintf("============= recv exif image start \n"));
 	OK( *ans_exif_size = recv_data_blocks( ans_exif_buf, max_buf_size  ));
 	if( *ans_exif_size == -1 ){
-		FATAL(_("exif image recv fail\n"));
+		FATAL(_ksprintf("exif image recv fail\n"));
 	}
-	DB(_("============= recv exif end\n"));
+	DB(_ksprintf("============= recv exif end\n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ));
 	retval=get_word(recv_buf_status);
-	DB(_("============= dc_get_exif retval=0x%02x\n", retval ));
+	DB(_ksprintf("============= dc_get_exif retval=0x%02x\n", retval ));
 	return retval;
 }
 /*======================================================*/
@@ -783,19 +783,19 @@
         /*                                                                   */
 
 	set_word( send_cmd_buf_image_id,  no );
-	DB(_("============= send command QM100\n"));
+	DB(_ksprintf("============= send command QM100\n"));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ) );
 
-	DB(_("============= recv thumbnail start \n"));
+	DB(_ksprintf("============= recv thumbnail start \n"));
 	OK( *ans_jpeg_size = recv_data_blocks( ans_jpeg_buf, max_buf ) );
 	if( *ans_jpeg_size == -1 ){
-		FATAL(_("thumbnail recv fail\n"));
+		FATAL(_ksprintf("thumbnail recv fail\n"));
 	}
-	DB(_("============= recv thumbnail end size=%d\n", *ans_jpeg_size ));
+	DB(_ksprintf("============= recv thumbnail end size=%d\n", *ans_jpeg_size ));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ) );
 	retval=get_word(recv_buf_status);
-	DB(_("============= dc_get_thumbnail retval=0x%02x\n", retval ));
+	DB(_ksprintf("============= dc_get_thumbnail retval=0x%02x\n", retval ));
 	return retval;
 }
 
@@ -837,19 +837,19 @@
         /*                                                                   */
 
 	set_long( send_cmd_buf_image_id,  id );
-	DB(_("============= send command to QM200 image_id=0x%04x\n", id));
+	DB(_ksprintf("============= send command to QM200 image_id=0x%04x\n", id));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ) );
 
-	DB(_("============= recv thumbnail start \n"));
+	DB(_ksprintf("============= recv thumbnail start \n"));
 	OK( *ans_jpeg_size = recv_data_blocks( ans_jpeg_buf, max_buf ) );
 	if( *ans_jpeg_size == -1 ){
-		FATAL(_("thumbnail recv fail\n"));
+		FATAL(_ksprintf("thumbnail recv fail\n"));
 	}
-	DB(_("============= recv thumbnail end size=%d\n", *ans_jpeg_size ));
+	DB(_ksprintf("============= recv thumbnail end size=%d\n", *ans_jpeg_size ));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ) );
 	retval=get_word(recv_buf_status);
-	DB(_("============= dc_get_thumbnail retval=0x%02x\n", retval ));
+	DB(_ksprintf("============= dc_get_thumbnail retval=0x%02x\n", retval ));
 	return retval;
 }
 /*======================================================*/
@@ -890,19 +890,19 @@
         /*                                                                   */
 
 	set_word( send_cmd_buf_image_id,  no );
-	DB(_("============= send command \n"));
+	DB(_ksprintf("============= send command \n"));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ) );
 
-	DB(_("============= recv jpeg image start \n"));
+	DB(_ksprintf("============= recv jpeg image start \n"));
 	OK( *ans_jpeg_size = recv_data_blocks( ans_jpeg_buf, max_buf ) );
 	if( *ans_jpeg_size == -1 ){
-		FATAL(_("jpeg image recv fail\n"));
+		FATAL(_ksprintf("jpeg image recv fail\n"));
 	}
-	DB(_("============= recv jpeg end\n"));
+	DB(_ksprintf("============= recv jpeg end\n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ));
 	retval=get_word(recv_buf_status);
-	DB(_("============= dc_get_exif retval=0x%02x\n", retval ));
+	DB(_ksprintf("============= dc_get_exif retval=0x%02x\n", retval ));
 	return retval;
 }
 static long
@@ -943,19 +943,19 @@
         /*                                                                   */
 
 	set_long( send_cmd_buf_image_id,  no );
-	DB(_("============= send command \n"));
+	DB(_ksprintf("============= send command \n"));
 	OK(send_command( send_cmd_buf, sizeof(send_cmd_buf) ));
 
-	DB(_("============= recv jpeg image start \n"));
+	DB(_ksprintf("============= recv jpeg image start \n"));
 	OK( *ans_jpeg_size = recv_data_blocks( ans_jpeg_buf, max_buf ));
 	if( *ans_jpeg_size == -1 ){
-		FATAL(_("jpeg image recv fail\n"));
+		FATAL(_ksprintf("jpeg image recv fail\n"));
 	}
-	DB(_("============= recv jpeg end\n"));
+	DB(_ksprintf("============= recv jpeg end\n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ));
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ) );
 	retval=get_word(recv_buf_status);
-	DB(_("============= dc_get_exif retval=0x%02x\n", retval ));
+	DB(_ksprintf("============= dc_get_exif retval=0x%02x\n", retval ));
 	return retval;
 }
 /*======================================================*/
@@ -1010,13 +1010,13 @@
 	/*===================================================================*/
 
 	set_word( send_cmd_buf_image_no,  no );
-	DB(_("============= send command no=%d\n", no ));
+	DB(_ksprintf("============= send command no=%d\n", no ));
 	OK(send_command( send_cmd_buf, sizeof(send_cmd_buf) ));
 
-	DB(_("============= recv info data start \n"));
+	DB(_ksprintf("============= recv info data start \n"));
 	OK( ans->info_size = recv_data_blocks( info_buf, info_max ));
 
-	DB(_("============= recv command \n"));
+	DB(_ksprintf("============= recv command \n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ));
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ));
 
@@ -1024,9 +1024,9 @@
 	ans->image_kbytes     = (long)get_word(recv_buf_image_size);
 	ans->image_is_protect = ( get_word(recv_buf_image_is_protect) == 0x01 );
 
-	DB(_("image_id          = 0x%04x\n", get_word(recv_buf_image_id)         ));
-	DB(_("image_size(Kbyte) = 0x%04x\n", get_word(recv_buf_image_size)       ));
-	DB(_("image_is_protect  = %d\n", get_word(recv_buf_image_is_protect) ));
+	DB(_ksprintf("image_id          = 0x%04x\n", get_word(recv_buf_image_id)         ));
+	DB(_ksprintf("image_size(Kbyte) = 0x%04x\n", get_word(recv_buf_image_size)       ));
+	DB(_ksprintf("image_is_protect  = %d\n", get_word(recv_buf_image_is_protect) ));
 	return get_word(recv_buf_status);
 }
 
@@ -1086,16 +1086,16 @@
 	/*===================================================================*/
 
 	set_long( send_cmd_buf_image_no,  no );
-	DB(_("============= send command no=%d\n", no));
+	DB(_ksprintf("============= send command no=%d\n", no));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ) );
 
-	DB(_("============= recv info data start \n"));
+	DB(_ksprintf("============= recv info data start \n"));
 	OK( ans->info_size = recv_data_blocks( info_buf, info_max ) );
 	if( ans->info_size == -1 ){
-		FATAL(_("get image info fail\n"));
+		FATAL(_ksprintf("get image info fail\n"));
 	}
 
-	DB(_("============= recv command \n"));
+	DB(_ksprintf("============= recv command \n"));
 	os_bzero( recv_buf, sizeof(recv_buf) );
 	OK( recv_data_blocks(recv_buf, sizeof(recv_buf)) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf)) );
@@ -1103,9 +1103,9 @@
 	ans->image_id         = (long)get_long(recv_buf_image_id);
 	ans->image_kbytes     = (long)get_word(recv_buf_image_size);
 	ans->image_is_protect = ( get_word(recv_buf_image_is_protect) == 0x01 );
-	DB(_("image_id          = 0x%04x\n", ans->image_id         ));
-	DB(_("image_size(Kbyte) = 0x%04x\n", ans->image_kbytes     ));
-	DB(_("image_is_protect  = %d\n",     ans->image_is_protect ));
+	DB(_ksprintf("image_id          = 0x%04x\n", ans->image_id         ));
+	DB(_ksprintf("image_size(Kbyte) = 0x%04x\n", ans->image_kbytes     ));
+	DB(_ksprintf("image_is_protect  = %d\n",     ans->image_is_protect ));
 	return get_word(recv_buf_status);
 }
 /*======================================================*/
@@ -1238,7 +1238,7 @@
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf)) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf)) );
 
-	MSG(_("no erased is %d\n", get_word(recv_buf_no_erased)));
+	MSG(_ksprintf("no erased is %d\n", get_word(recv_buf_no_erased)));
 
 	retval=get_word(recv_buf_status);
 	return retval;
@@ -1413,12 +1413,12 @@
 
 	// dcx_debug(1);
 	// os_debug(1);
-	DB(_("take pict start\n"));
+	DB(_ksprintf("take pict start\n"));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ));
 	os_sio_getchar_abort_sec(20);
-	DB(_("recv info block\n"));
+	DB(_ksprintf("recv info block\n"));
 	OK( *info_size = recv_data_blocks( info_buf, info_max ) );
-	DB(_("recv status block\n"));
+	DB(_ksprintf("recv status block\n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ) );
 	// dcx_debug(0);
@@ -1595,10 +1595,10 @@
 	 *	
 	 */
 
-	DB(_("============= send command \n"));
+	DB(_ksprintf("============= send command \n"));
 	OK(send_command( send_cmd_buf, sizeof(send_cmd_buf) ));
 
-	DB(_("============= recv command \n"));
+	DB(_ksprintf("============= recv command \n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ));
 
@@ -1708,19 +1708,19 @@
 	case 38400:	bit_rate_bps = BIT_RATE_38400BPS;	break;
 	case 57600:	bit_rate_bps = BIT_RATE_57600BPS;	break;
 	case 115200:	bit_rate_bps = BIT_RATE_115200BPS;	break;
-	default:	FATAL(_("illegal bps=%d\n", bps ));
+	default:	FATAL(_ksprintf("illegal bps=%d\n", bps ));
 	}
 	set_word( send_cmd_buf_rate,  bit_rate_bps );
 	set_word( send_cmd_buf_flags, BIT_FLAG_8_BITS );
 
-	DB(_("============= send command setio\n"));
+	DB(_ksprintf("============= send command setio\n"));
 	OK( send_command( send_cmd_buf, sizeof(send_cmd_buf) ) );
 
-	DB(_("============= recv command setio\n"));
+	DB(_ksprintf("============= recv command setio\n"));
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ));
 
-	DB(_("============= os_sio_set_bps(%d)\n", bps ));
+	DB(_ksprintf("============= os_sio_set_bps(%d)\n", bps ));
 	OK( os_sio_set_bps( bps ) );
 
 	retval=get_word(recv_buf_status);
@@ -1989,7 +1989,7 @@
 	OK( recv_data_blocks( recv_buf, sizeof(recv_buf) ) );
 	OK( comp_command( recv_buf_const, recv_buf, sizeof(recv_buf) ) );
 
-	MSG(_("%02d/%02d/%02d %02d:%02d.%02d\n", d[4], d[5], d[6], d[7], d[8], d[9] ));
+	MSG(_ksprintf("%02d/%02d/%02d %02d:%02d.%02d\n", d[4], d[5], d[6], d[7], d[8], d[9] ));
 	return get_word(recv_buf_status);
 }
 /*======================================================*/
@@ -2097,7 +2097,7 @@
 	switch( camera_model ){
 	case QM100:	return 1300*1000;
 	case QM200:	return 2000*1000;
-	default:	FATAL(_("illegual model"));
+	default:	FATAL(_ksprintf("illegual model"));
 	}
 	return -1;
 }
@@ -2129,7 +2129,7 @@
 		dc_take_picture		= qm200_dc_take_picture;
 		break;
 	default:
-		FATAL(_("unsupoort model\n"));
+		FATAL(_ksprintf("unsupoort model\n"));
 	}
 	return OK;
 }
@@ -2179,7 +2179,7 @@
 	OK( dc_get_thumbnail(id, jpeg_buf, max_size, &jpeg_size ) );
 
 	if( (jpeg_buf =  os_realloc(jpeg_buf, jpeg_size)) == OS_NULL ){
-		return FATAL(_("realloc error\n"));
+		return FATAL(_ksprintf("realloc error\n"));
 	}
 	
 	OK( dcx_close() );
@@ -2209,13 +2209,13 @@
 
 	max_size = max_bytes_of_jpeg_image();
 	if( (jpeg_buf = os_malloc(max_size)) == (void *)0 ){
-		return FATAL(_("malloc"));
+		return FATAL(_ksprintf("malloc"));
 	}
 
 	OK( dc_get_exif(id, jpeg_buf, max_size, &jpeg_size ) );
 
 	if( (jpeg_buf=os_realloc(jpeg_buf, jpeg_size )) == OS_NULL ){
-		return FATAL(_("realloc"));
+		return FATAL(_ksprintf("realloc"));
 	}
 	ans_image->alloc_buf = jpeg_buf;
 	ans_image->size      = jpeg_size;
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/log.c gphoto/konica_qmxxx/log.c
--- gphoto.orig/konica_qmxxx/log.c	Sun Oct  3 02:09:02 1999
+++ gphoto/konica_qmxxx/log.c	Fri Sep 15 16:27:34 2000
@@ -48,7 +48,7 @@
 }
 
 char *
-_(const char *fmt, ...)
+_ksprintf(const char *fmt, ...)
 {
 	static char	msg[MAX_MSG_LEN];
 	va_list ap;
@@ -80,4 +80,4 @@
 dummp(void)
 {
 	DB("");
-}
\ No newline at end of file
+}
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/log.h gphoto/konica_qmxxx/log.h
--- gphoto.orig/konica_qmxxx/log.h	Sun Oct  3 02:09:02 1999
+++ gphoto/konica_qmxxx/log.h	Fri Sep 15 16:29:16 2000
@@ -20,7 +20,7 @@
 typedef enum {  OK=0, NG=-1 }      ok_t;
 
 void _log(char *fname, int line, char *title, char *msg);
-char *_(const char *fmt, ...);
+char *_ksprintf(const char *fmt, ...);
 
 ok_t _log_fatal(char *fname, int line, char *msg);
 void _log_msg(char *fname, int line, char *msg);
@@ -41,4 +41,4 @@
 #define FATAL(s)	_log_fatal(__FILE__, __LINE__, s);
 #define MSG(s)		_log_msg(__FILE__, __LINE__, s);
 
-#define OK(func)         if( (func) == NG ){ return FATAL(_("ERR\n")); }
+#define OK(func)         if( (func) == NG ){ return FATAL(_ksprintf("ERR\n")); }
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/os.c gphoto/konica_qmxxx/os.c
--- gphoto.orig/konica_qmxxx/os.c	Fri Mar 10 17:16:09 2000
+++ gphoto/konica_qmxxx/os.c	Fri Sep 15 16:27:53 2000
@@ -75,24 +75,24 @@
 		return 0; /* return zero byte if time out */
 	}
 	if( result == -1 ){
-		return FATAL(_("sio select error\n"));
+		return FATAL(_ksprintf("sio select error\n"));
 	}
 	if( FD_ISSET(sio_fd, &fd_list) ){
 		if( ioctl(sio_fd, FIONREAD, &n) == -1 ){
-			return FATAL(_("illegual ioctl\n"));
+			return FATAL(_ksprintf("illegual ioctl\n"));
 		}
 		if( n == 0 ){
-			return FATAL(_("sio EOF error\n"));
+			return FATAL(_ksprintf("sio EOF error\n"));
 		}
 		if( n > len ){
 			n = len;
 		}
 		if( n != read(sio_fd, buf, n ) ){
-			return FATAL(_("sio illegual read\n"));
+			return FATAL(_ksprintf("sio illegual read\n"));
 		}
 		return n;
 	}
-	return FATAL(_("sio illegual fd_list\n"));
+	return FATAL(_ksprintf("sio illegual fd_list\n"));
 }
 
 ok_t
@@ -100,13 +100,13 @@
 {
 	tcflag_t	iflag;
 
-	DB(_("sio now open\n"));
+	DB(_ksprintf("sio now open\n"));
 	sio_fd = open(sio_dev_name, O_RDWR|O_NOCTTY|O_NDELAY);
 	if( sio_fd == -1 ){
-		return FATAL(_("sio_open: %s open fail\n", sio_dev_name));
+		return FATAL(_ksprintf("sio_open: %s open fail\n", sio_dev_name));
 	}
 
-	DB(_("sio open end\n"));
+	DB(_ksprintf("sio open end\n"));
 	tcgetattr( sio_fd, &sio_org_termios );
 	tcgetattr( sio_fd, &sio_termios );
 	#if 0
@@ -142,7 +142,7 @@
 		switch( mode ){
 		case XON_XOFF:	iflag = (IXON|IXOFF|IGNBRK);	break;
 		case CRTS_CTS:	iflag = (CRTSCTS);		break;
-		default:	return FATAL(_("illegual mode"));
+		default:	return FATAL(_ksprintf("illegual mode"));
 		}
 		sio_termios.c_iflag     = iflag;
 		sio_termios.c_cflag     = (CREAD|CS8);
@@ -158,7 +158,7 @@
 	cfsetispeed(&sio_termios, B9600);
 
 	tcsetattr( sio_fd, TCSANOW, &sio_termios );
-	DB(_("sio open ok\n"));
+	DB(_ksprintf("sio open ok\n"));
 	return OK;
 }
 
@@ -184,7 +184,7 @@
 	case 38400:	val = B38400;	break;
 	case 57600:	val = B57600;	break;
 	case 115200:	val = B115200;	break;
-	default:	return FATAL(_("sio_set_speed: illegal bps=%d\n", bps ));
+	default:	return FATAL(_ksprintf("sio_set_speed: illegal bps=%d\n", bps ));
 	}
 
 	cfsetospeed(&sio_termios, val );
@@ -197,9 +197,9 @@
 os_sio_putchar(byte c)
 {
 	if( write(sio_fd, &c, sizeof(byte) ) != sizeof(byte) ){
-		return FATAL(_("Can't sio_putchar\n"));
+		return FATAL(_ksprintf("Can't sio_putchar\n"));
 	}
-	DB(_("putchar[%s]\n", os_name_of_char(c) ));
+	DB(_ksprintf("putchar[%s]\n", os_name_of_char(c) ));
 	return OK;
 }
 
@@ -225,14 +225,14 @@
 	for(;;){
 		read_bytes = os_sio_read_msec( &c, sizeof(byte), 100 );
 		if( read_bytes == sizeof(byte) ){
-			DB(_("getchar[%s]\n", os_name_of_char(c) ));
+			DB(_ksprintf("getchar[%s]\n", os_name_of_char(c) ));
 			return (long)c;
 		}
 		if( read_bytes != 0 ){
-			return FATAL(_("sio_getchar: unknown error (%d)\n", read_bytes));
+			return FATAL(_ksprintf("sio_getchar: unknown error (%d)\n", read_bytes));
 		}
 		if( retry_count-- == 0 ){
-		 	return FATAL(_("sio_getchar: retry count over\n"));
+		 	return FATAL(_ksprintf("sio_getchar: retry count over\n"));
 		}
 	}
 }
@@ -243,10 +243,10 @@
 	FILE	*fp;
 
 	if( (fp=fopen(fname, "w")) == NULL ){
-		return FATAL(_("Can't open %s\n", fname ));
+		return FATAL(_ksprintf("Can't open %s\n", fname ));
 	}
 	if( fwrite(buf, sizeof(byte), size, fp ) != size ){
-		return FATAL(_("Can't write to %s\n", fname ));
+		return FATAL(_ksprintf("Can't write to %s\n", fname ));
 	}
 	fclose(fp);
 	return OK;
@@ -278,7 +278,7 @@
 	void	*p;
 
 	if( (p = malloc(size)) == NULL){
-		FATAL(_("Can not alloc"));
+		FATAL(_ksprintf("Can not alloc"));
 		return NULL;
 	}
 	return p;
@@ -296,7 +296,7 @@
 {
 	void *p;
 	if( (p=realloc( buf, size )) == NULL ){
-		FATAL(_("err on os_realloc"));
+		FATAL(_ksprintf("err on os_realloc"));
 		return NULL;
 	}
 	return p;
diff -u --recursive --new-file gphoto.orig/konica_qmxxx/qm.c gphoto/konica_qmxxx/qm.c
--- gphoto.orig/konica_qmxxx/qm.c	Fri Sep 15 15:52:37 2000
+++ gphoto/konica_qmxxx/qm.c	Fri Sep 15 16:32:25 2000
@@ -43,27 +43,27 @@
 static void
 disp_func(long percent)
 {
-	MSG(_("%3d%%\n", percent ));
+	MSG(_ksprintf("%3d%%\n", percent ));
 }
 /*----------------------------------------------------------------------*/
 static int
 qm_initialize(void)
 {
-	DB(_("qm_initialize\n"));
+	DB(_ksprintf("qm_initialize\n"));
 	return(ANS_OK);
 }
 /*----------------------------------------------------------------------*/
 static int
 qm_number_of_pictures(void)
 {
-	DB(_("qm_number_of_picture\n"));
+	DB(_ksprintf("qm_number_of_picture\n"));
 	return dcx_get_number_of_pictures();
 }
 /*----------------------------------------------------------------------*/
 static int
 qm_take_picture(void)
 {
-	DB(_("qm_take_picture\n"));
+	DB(_ksprintf("qm_take_picture\n"));
 	if( dcx_take_picture() == NG ){
 		return ANS_NG;
 	}
@@ -76,7 +76,7 @@
 	struct Image	*im;
 	dcx_image_t	ans;
 
-	DB(_("qm_get_picture\n"));
+	DB(_ksprintf("qm_get_picture\n"));
 
 	im = malloc(sizeof(struct Image));
 
@@ -99,7 +99,7 @@
 static int
 qm_delete_picture(int no)
 {
-	DB(_("qm_delete_picture\n"));
+	DB(_ksprintf("qm_delete_picture\n"));
 	if( dcx_delete_picture(no) == NG ){ return ANS_NG; }
 	return ANS_OK;
 }
@@ -107,7 +107,7 @@
 int
 static qm_formatCF(void)
 {
-	DB(_("qm_formatCF\n"));
+	DB(_ksprintf("qm_formatCF\n"));
 	if( dcx_format_cf_card() == NG ){ return ANS_NG; };
 	return ANS_OK;
 }
@@ -115,7 +115,7 @@
 static struct Image *
 qm_get_preview(void)
 {
-	DB(_("qm_get_preview\n"));
+	DB(_ksprintf("qm_get_preview\n"));
 	return (struct Image *)NULL;
 }
 /*----------------------------------------------------------------------*/
@@ -126,7 +126,7 @@
   GtkWidget *button;
   GtkWidget *buttonbox;
 
-	DB(_("qm_configure\n"));
+	DB(_ksprintf("qm_configure\n"));
 
 	/* Set the Window Dialog up */
 	dialog = gtk_window_new(GTK_WINDOW_DIALOG);
@@ -172,7 +172,7 @@
 	dcx_summary_t		ans;
 	static char		buf[1024];
 
-	DB(_("qm_summary"));
+	DB(_ksprintf("qm_summary"));
 	if( dcx_get_summary(&ans) == NG ){
 		return "Error!!";
 	}
@@ -205,7 +205,7 @@
 	default:            str = "BUG";     break;
 	}
 
-	DB(_("setup port=[%s] model=%s\n", serial_port, str ));
+	DB(_ksprintf("setup port=[%s] model=%s\n", serial_port, str ));
 
 	if( dcx_init(serial_port, camera_model) == NG ){
 		return ANS_NG;
@@ -340,14 +340,14 @@
 static char *
 konica_qm1xx_description(void)
 {
-	DB(_("qm100_description\n"));
+	DB(_ksprintf("qm100_description\n"));
 	return "Konica QM-100 gPhoto Plugin (C) 1999 Konica corp.";
 }
 /*----------------------------------------------------------------------*/
 static char *
 konica_qm2xx_description(void)
 {
-	DB(_("qm200_description\n"));
+	DB(_ksprintf("qm200_description\n"));
 	return "Konica QM-200 gPhoto Plugin (C) 1999 Konica corp.";
 }
 /*======================================================================*/
diff -u --recursive --new-file gphoto.orig/minolta/Makefile.am gphoto/minolta/Makefile.am
--- gphoto.orig/minolta/Makefile.am	Thu Jun  8 14:25:42 2000
+++ gphoto/minolta/Makefile.am	Fri Sep 15 15:55:39 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_dimage_v.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_dimage_v_la_SOURCES = dimage_v.h dimage_v_gphoto.c dimage_v_util.c \
 	no_thumbs.h
diff -u --recursive --new-file gphoto.orig/mustek/Makefile.am gphoto/mustek/Makefile.am
--- gphoto.orig/mustek/Makefile.am	Thu Jan 13 23:52:37 2000
+++ gphoto/mustek/Makefile.am	Fri Sep 15 15:55:47 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_mustek_mdc800.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ -Wall
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ -Wall
 
 libgphoto_mustek_mdc800_la_SOURCES = rs232.c usb.c io.c image.c config.c core.c mdc800.c config.h \
                                      core.h image.h io.h mdc800.h mdc800_spec.h print.h rs232.h usb.h
diff -u --recursive --new-file gphoto.orig/nikon/Makefile.am gphoto/nikon/Makefile.am
--- gphoto.orig/nikon/Makefile.am	Fri Nov 19 12:18:22 1999
+++ gphoto/nikon/Makefile.am	Fri Sep 15 15:55:55 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_coolpix600.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_coolpix600_la_SOURCES = coolpix600.c
 
diff -u --recursive --new-file gphoto.orig/philips/Makefile.am gphoto/philips/Makefile.am
--- gphoto.orig/philips/Makefile.am	Thu Nov  4 07:21:38 1999
+++ gphoto/philips/Makefile.am	Fri Sep 15 15:56:03 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_philips.la
 
-CFLAGS = @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ -DGPHOTO
+CFLAGS = @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ -DGPHOTO
 
 libgphoto_philips_la_SOURCES = philips_io.c gphoto_philips.c \
         gphoto_philips_cfg.c \
diff -u --recursive --new-file gphoto.orig/photopc/Makefile.am gphoto/photopc/Makefile.am
--- gphoto.orig/photopc/Makefile.am	Wed Jul  5 13:07:49 2000
+++ gphoto/photopc/Makefile.am	Fri Sep 15 15:56:09 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_photopc.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ \
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ \
 	-DUNIX -DINT16=short -DHAVE_CFMAKERAW -DHAVE_STRFTIME \
 	-DHAVE_PRIOCTL -DHAVE_NANOSLEEP
 
diff -u --recursive --new-file gphoto.orig/polaroid/Makefile.am gphoto/polaroid/Makefile.am
--- gphoto.orig/polaroid/Makefile.am	Thu Jun  8 01:18:18 2000
+++ gphoto/polaroid/Makefile.am	Fri Sep 15 15:56:15 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_polaroid_pdc700.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_polaroid_pdc700_la_SOURCES = polaroid_pdc700.c
 
diff -u --recursive --new-file gphoto.orig/quickcam/Makefile.am gphoto/quickcam/Makefile.am
--- gphoto.orig/quickcam/Makefile.am	Fri Nov 19 12:18:23 1999
+++ gphoto/quickcam/Makefile.am	Fri Sep 15 15:56:26 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_quickcam.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ -O
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ -O
 
 libgphoto_quickcam_la_SOURCES = qcam_gphoto.c qcam-Linux.c\
 	qcam_drv.c edge.c exposure.c histogram.c qcam_gfx.c scale.c \
diff -u --recursive --new-file gphoto.orig/ricoh/Makefile.am gphoto/ricoh/Makefile.am
--- gphoto.orig/ricoh/Makefile.am	Fri Nov 19 12:18:23 1999
+++ gphoto/ricoh/Makefile.am	Fri Sep 15 15:56:34 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_ricoh300z.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_ricoh300z_la_SOURCES = ricoh_300z.c ricoh_300_io.c crctab.c
 
diff -u --recursive --new-file gphoto.orig/samsung/Makefile.am gphoto/samsung/Makefile.am
--- gphoto.orig/samsung/Makefile.am	Thu Jan 13 20:31:48 2000
+++ gphoto/samsung/Makefile.am	Fri Sep 15 15:56:40 2000
@@ -1,6 +1,6 @@
 drivers_LTLIBRARIES = libgphoto_samsung.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@
 
 libgphoto_samsung_la_SOURCES =samsung.c
 
diff -u --recursive --new-file gphoto.orig/sony/Makefile.am gphoto/sony/Makefile.am
--- gphoto.orig/sony/Makefile.am	Fri Nov 19 12:18:24 1999
+++ gphoto/sony/Makefile.am	Fri Sep 15 15:56:53 2000
@@ -2,7 +2,7 @@
 
 drivers_LTLIBRARIES = libgphoto_sony_dscf1.la
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @GDK_IMLIB_CFLAGS@ 
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@ @GDK_IMLIB_CFLAGS@ 
 
 libgphoto_sony_dscf1_la_SOURCES = tty.c command.c getuint.c \
 	chotplay.c dsc_f1.c \
diff -u --recursive --new-file gphoto.orig/sony/dscf55/Makefile.am gphoto/sony/dscf55/Makefile.am
--- gphoto.orig/sony/dscf55/Makefile.am	Fri Sep 15 15:52:37 2000
+++ gphoto/sony/dscf55/Makefile.am	Fri Sep 15 15:56:47 2000
@@ -12,7 +12,7 @@
 
 ## rsony_SOURCES = rmain.c rsony.c config.c serio.c serio.h
 
-CFLAGS = @CFLAGS@ @GTK_CFLAGS@
+CFLAGS = @CFLAGS@ @GNOME_INCLUDEDIR@
 
 libgphoto_sony_dscf55_la_SOURCES = $(rs)
 
